Mac下安装Composer及Composer安装TP5

  • 作者:zccc
  • 来源:网络
  • 2020-08-21 12:04:03

下面由composer教程栏目给大家介绍Mac下安装Composer及Composer安装TP5的方法,希望对需要的朋友有所帮助!Mac环境安装ComposerMac版本:macOS High Sierra 10.13.4Git版本:2.17.0...

下面由composer教程栏目给大家介绍Mac下安装Composer及Composer安装TP5的方法,希望对需要的朋友有所帮助!

Mac环境安装Composer

Mac版本:macOS High Sierra 10.13.4

Git版本:2.17.0

PHP版本:7.0.29 (cli) (built: Apr 12 2018 03:15:13) ( NTS )

介绍

Composer 是 PHP 用来管理依赖(dependency)关系的工具。

你可以在自己的项目中声明所依赖的外部工具库(libraries),Composer 会帮你安装这些依赖的库文件。

Composer也可以管理项目。 总的来说Composer是一个基于PHP的版本控制、项目管理的工具。

英文官网:https://getcomposer.org/
英文镜像:https://packagist.org
中文官网:https://www.phpcomposer.com/
中文镜像:https://pkg.phpcomposer.com/

安装Composer

安装Composer只需要做到两点

1、下载安装 composer.phar
2、配置中文镜像

详细如下:

1、全局安装,官网下载最新版本的 composer.phar
2、验证,在文件目录执行

确保PHP可用且版本b大于5.6

php -v

composer版本号和日期与官网一致即可

php composer.phar -v

3、最后,设置成全局命令

mv composer.phar /usr/local/bin/composer

到此已安装完成

4、接下来配置中文镜像

全局替换:

composer config -g repo.packagist composer https://packagist.phpcomposer.com

局部配置:(仅对当前目录有效)

composer config repo.packagist composer https://packagist.phpcomposer.com

上述命令将会在当前项目中的 composer.json 文件的末尾自动添加镜像的配置信息(你也可以自己手工添加):

"repositories": {     
"packagist": 
{
         "type": "composer",         
         "url": "https://packagist.phpcomposer.com"
     }
 }

以MongoDB拓展为例,在当前目录下增加composer.json文件,内容如下

{    
"require": 
{        
"monolog/monolog": "1.2.*"
    }
}

执行上述命令后,变成

{    
"require": {        
"monolog/monolog": "1.2.*"
    },    
    "repositories": 
    {        
    "packaglist": {            
    "type": "composer",            
    "url": "https://packagist.phpcomposer.com"
        }
    }
}

然后执行 composer install 即可安装MongoDB

Composer安装TP5

直接安装无需创建composer.json,执行如下命令即可。

composer create-project topthink/think tp5 --prefer-dist

  • 相关专题

免责声明:本文内容由互联网用户自发贡献自行上传,本网站不拥有所有权,也不承认相关法律责任。如果您发现本社区中有涉嫌抄袭的内容,请发送邮件至:operations@xinnet.com进行举报,并提供相关证据,一经查实,本站将立刻删除涉嫌侵权内容。

相关文章

免费咨询获取折扣